cURL
curl --request PATCH \ --url https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId} \ --header 'Authorization: <authorization>' \ --header 'Content-Type: application/json' \ --data ' { "data": { "data.title": "<string>", "data.prompt": "<string>", "data.tools": [ "<string>" ] }, "position": {} } '
Partially update a node’s configuration
Documentation IndexFetch the complete documentation index at: https://docs.pathors.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
Use this file to discover all available pages before exploring further.
PATCH https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId}
Show fields
{ "x": number, "y": number }
curl -X PATCH https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId} \ -H "Authorization: Bearer dk_your_key" \ -H "Content-Type: application/json" \ -d '{ "data": { "prompt": "Updated: Help the user complete their booking and confirm details." } }'
curl -X PATCH https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId} \ -H "Authorization: Bearer dk_your_key" \ -H "Content-Type: application/json" \ -d '{ "data": { "tools": ["tool-uuid-1", "tool-uuid-2"] } }'